KAuthIcon Class Referenceabstract

`#include <kauthicon.h>`

Inheritance diagram for KAuthIcon:

## Public Slots

virtual void | updateStatus ()=0

## Signals

void | authChanged (bool authorized)

## Public Member Functions

| KAuthIcon (QWidget *parent=0, const char *name=0)
virtual QSize | sizeHint () const
virtual bool | status () const =0

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Protected Attributes

QHBoxLayout * | layout
QLabel * | lockBox
QLabel * | lockLabel
QPixmap | lockPM
QPixmap | openLockPM
QString | lockText
QString | openLockText

## Detailed Description

A base class for authorization icon widgets.

This is the base class from which different authorization icon widget which actually do something should be derived. You can use these widgets to show that the user has (or doesn't have) the ability to do something, and why that is.

One of the most useful things you can do with this is connect authChanged(bool) to setEnabled(bool) for a widget to turn it on and off depending on the status of whatever it is you are monitoring.

See also
  KRootPermsIcon, KWritePermsIcon

Author
  Preston Brown pbrow.nosp@m.n@kd.nosp@m.e.org

Definition at line 47 of file kauthicon.h.

## Constructor & Destructor Documentation

KAuthIcon::KAuthIcon | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Constructor.

Definition at line 94 of file kauthicon.cpp.

## Member Function Documentation

void KAuthIcon::authChanged | ( | bool | authorized | ) |

signal

this signal is emitted when authorization has changed from its previous state.

Parameters

  authorized | will be true if the type of authorization described by the icon is true, otherwise it will be false.

virtual bool KAuthIcon::status | ( |  | ) | const

pure virtual

return the status of whatever is being monitored.

Implemented in KWritePermsIcon, and KRootPermsIcon.

virtual void KAuthIcon::updateStatus | ( |  | ) |

pure virtual slot

Re-implement this method if you want the icon to update itself when something external has changed (i.e.

a file on disk, uid/gid).

The documentation for this class was generated from the following files:

- kauthicon.h
- kauthicon.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys